ros-kinetic-gazebo-ros-control (2.5.14-0xenial) xenial; urgency=high

  * Replace Events::Disconnect* with pointer reset (#623 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/623>)
  * Contributors: Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Dec 2017 23:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.13-0xenial) xenial; urgency=high

  * Less exciting console output (#561 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/561>)
  * Add catkin package(s) to provide the default version of Gazebo (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
    * Added catkin package gazebo_dev which provides the cmake config of the installed Gazebo version
  * Contributors: Dave Coleman, Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 23 Jun 2017 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.12-0xenial) xenial; urgency=high

  * Fixed broken gazebo_ros_control tutorial link (#566 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/566>)
  * Contributors: Ian McMahon

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 24 Apr 2017 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.11-0xenial) xenial; urgency=high

  * Change build system to set DEPEND on Gazebo/SDFormat (fix catkin warning)
    Added missing DEPEND clauses to catkin_package to fix gazebo catkin warning. Note that after the change problems could appear related to -lpthreads errors. This is an known issue related to catkin: https://github.com/ros/catkin/issues/856.
  * Make gazebo_ros_control compatible with ros_control with respect to <hardwareInterface> tag (#550 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/550>)
    * ros_control expects "<hardwareInterface>hardware_interface/PositionJointInterface</hardwareInterface>", i.e. "hardware_interface/" prefix
    * add deprecation warning
    * improve warning
    * fix warning message fix
  * Contributors: Andreas Bihlmaier, Dave Coleman

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 17 Apr 2017 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.10-0xenial) xenial; urgency=high

  * Revert catkin warnings to fix regressions (problems with catkin -lpthreads errors)
    For reference and reasons, please check:
    https://discourse.ros.org/t/need-to-sync-new-release-of-rqt-topic-indigo-jade-kinetic/1410/4
    * Revert "Fix gazebo catkin warning, cleanup CMakeLists (#537 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/537>)"
    This reverts commit 5a0305fcb97864b66bc2e587fc0564435b4f2034.
    * Revert "Fix gazebo and sdformat catkin warnings"
    This reverts commit 11f95d25dcd32faccd2401d45c722f7794c7542c.
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 02 Mar 2017 23:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.9-0xenial) xenial; urgency=high

  * Fix gazebo catkin warning, cleanup CMakeLists (#537 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/537>)
  * Namespace console output (#543 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/543>)
  * Print name of joint with wrong interface
  * Removed all trailing whitespace
  * Change boost::shared_ptr to urdf::JointConstSharedPtr
  * Contributors: Bence Magyar, Dave Coleman, Jochen Sprickerhof

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 19 Feb 2017 23:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.8-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Dec 2016 23:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.7-0xenial) xenial; urgency=high

  * delete CATKIN_IGNORE in gazebo_ros_control (#456 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/456>)
  * Contributors: Jackie Kay, Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 09 Jun 2016 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.3-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Apr 2016 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.2-0xenial) xenial; urgency=high

  * clean up merge from indigo-devel
  * merging from indigo-devel
  * Use Joint::SetParam for joint velocity motors
    Before gazebo5, Joint::SetVelocity and SetMaxForce
    were used to set joint velocity motors.
    The API has changed in gazebo5, to use Joint::SetParam
    instead.
    The functionality is still available through the SetParam API.
    cherry-picked from indigo-devel
    Add ifdefs to fix build with gazebo2
    It was broken by #315 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/315>.
    Fixes #321 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/321>.
  * 2.4.9
  * Generate changelog
  * Import changes from jade-branch
  * add missing dependencies
  * Fix DefaultRobotHWSim puts robotNamespace twice
    DefaultRobotHWSim::initSim() member function uses both
    namespaced NodeHandle and robot_namespace string to create
    parameter names.
    For example,  if a robotNamespace is "rrbot",
    DefaultRobotHWSim tries to get parameters from following names:
    - /rrbot/rrbot/gazebo_ros_control/pid_gains/*
    - /rrbot/rrbot/joint_limits/*
    This commit change these names to:
    - /rrbot/gazebo_ros_control/pid_gains/*
    - /rrbot/joint_limits/*
  * Add ifdefs to fix build with gazebo2
    It was broken by #315 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/315>.
    Fixes #321 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/321>.
  * Use Joint::SetParam for joint velocity motors
    Before gazebo5, Joint::SetVelocity and SetMaxForce
    were used to set joint velocity motors.
    The API has changed in gazebo5, to use Joint::SetParam
    instead.
    The functionality is still available through the SetParam API.
  * Set GAZEBO_CXX_FLAGS to fix c++11 compilation errors
  * Contributors: Akiyoshi Ochiai, John Hsu, Jose Luis Rivero, Steven Peters, ipa-fxm

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 24 Feb 2016 23:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.1-0xenial) xenial; urgency=high

  * Fix DefaultRobotHWSim puts robotNamespace twice
    DefaultRobotHWSim::initSim() member function uses both
    namespaced NodeHandle and robot_namespace string to create
    parameter names.
    For example,  if a robotNamespace is "rrbot",
    DefaultRobotHWSim tries to get parameters from following names:
    - /rrbot/rrbot/gazebo_ros_control/pid_gains/*
    - /rrbot/rrbot/joint_limits/*
    This commit change these names to:
    - /rrbot/gazebo_ros_control/pid_gains/*
    - /rrbot/joint_limits/*
  * Added a comment about the need of libgazebo5-dev in runtime
  * Added elevator plugin
  * Use c++11
  * run_depend on libgazebo5-dev (#323 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/323>)
    Declare the dependency.
    It can be fixed later if we don't want it.
  * Contributors: Akiyoshi Ochiai, Jose Luis Rivero, Nate Koenig, Steven Peters
  * Fix DefaultRobotHWSim puts robotNamespace twice
    DefaultRobotHWSim::initSim() member function uses both
    namespaced NodeHandle and robot_namespace string to create
    parameter names.
    For example,  if a robotNamespace is "rrbot",
    DefaultRobotHWSim tries to get parameters from following names:
    - /rrbot/rrbot/gazebo_ros_control/pid_gains/*
    - /rrbot/rrbot/joint_limits/*
    This commit change these names to:
    - /rrbot/gazebo_ros_control/pid_gains/*
    - /rrbot/joint_limits/*
  * Added a comment about the need of libgazebo5-dev in runtime
  * Added elevator plugin
  * Use c++11
  * run_depend on libgazebo5-dev
  * Contributors: Akiyoshi Ochiai, Jose Luis Rivero, Nate Koenig, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 15 Aug 2015 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.5.0-0xenial) xenial; urgency=high

  * run_depend on libgazebo5-dev instead of gazebo5
  * Changed the rosdep key for gazebo to gazebo5, for Jade Gazebo5 will be used.
  * Contributors: Steven Peters, William Woodall

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 29 Apr 2015 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.4.9-0xenial) xenial; urgency=high

  * Import changes from jade-branch
  * add missing dependencies
  * Add ifdefs to fix build with gazebo2
    It was broken by #315 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/315>.
    Fixes #321 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/321>.
  * Use Joint::SetParam for joint velocity motors
    Before gazebo5, Joint::SetVelocity and SetMaxForce
    were used to set joint velocity motors.
    The API has changed in gazebo5, to use Joint::SetParam
    instead.
    The functionality is still available through the SetParam API.
  * Set GAZEBO_CXX_FLAGS to fix c++11 compilation errors
  * Contributors: Akiyoshi Ochiai, Jose Luis Rivero, Steven Peters, ipa-fxm

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 15 Aug 2015 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.4.8-0xenial) xenial; urgency=high

  * Merge pull request #244 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/244> from cottsay/control-urdf-fix
    gazebo_ros_control: add urdf to downstream catkin deps
  * Added emergency stop support.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Jim Rothrock, Scott K Logan

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-kinetic-gazebo-ros-control (2.4.7-0xenial) xenial; urgency=high

  * move declaration for DefaultRobotHWSim to header file
  * Contributors: ipa-fxm

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 14 Dec 2014 23:00:00 -0000

ros-kinetic-gazebo-ros-control (2.4.6-0xenial) xenial; urgency=high

  * Update default_robot_hw_sim.cpp
  * Reduced changes
  * Fix to work with gazebo3
  * Fix build with gazebo4 and indigo
  * Update package.xml
    Add new maintainer.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Jose Luis Rivero, Nate Koenig, hsu

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 31 Aug 2014 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.4.5-0xenial) xenial; urgency=high

  * Fix typo: GAZEBO_VERSION_MAJOR -> GAZEBO_MAJOR_VERSION
  * Port fix_build branch for indigo-devel
    See pull request #221 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/221>
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 17 Aug 2014 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.4.4-0xenial) xenial; urgency=high

  * Update package.xml
    Add new maintainer.
  * Should fix build error for binary releases.
    See: http://www.ros.org/debbuild/indigo.html?q=gazebo_ros_control
  * Updated package.xml
  * gazebo_ros_control: default_robot_hw_sim:  Suppressing pid error message
    Depends on ros-controls/control_toolbox#21 <https://github.com/ros-controls/control_toolbox/issues/21>
  * Revert 4776545, as it belongs in indigo-devel.
  * Fix repo names in package.xml's
  * gazebo_ros_control: default_robot_hw_sim: Suppressing pid error message, depends on ros-controls/control_toolbox#21 <https://github.com/ros-controls/control_toolbox/issues/21>
  * gazebo_ros_control: Add dependency on angles
  * gazebo_ros_control: Add build-time dependency on gazebo
    This fixes a regression caused by a889ef8b768861231a67b78781514d834f631b8e
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Alexander Bubeck, Dave Coleman, Jon Binney, Jonathan Bohren, Scott K Logan

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 17 Jul 2014 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.4.3-0xenial) xenial; urgency=high

  * Compatibility with Indigo's ros_control.
    Also fixes #184 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/184>.
  * Remove build-time dependency on gazebo_ros.
  * Fix broken build due to wrong rosconsole macro use
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 May 2014 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.4.2-0xenial) xenial; urgency=high

  * merging from hydro-devel
  * bump patch version for indigo-devel to 2.4.1
  * merging from indigo-devel after 2.3.4 release
  * Merge branch 'hydro-devel' of github.com:ros-simulation/gazebo_ros_pkgs into indigo-devel
  * "2.4.0"
  * catkin_generate_changelog
  * Contributors: John Hsu

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 26 Mar 2014 23:00:00 -0000

ros-kinetic-gazebo-ros-control (2.4.1-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Nov 2013 23:00:00 -0000

ros-kinetic-gazebo-ros-control (2.4.0-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 13 Oct 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.3.5-0xenial) xenial; urgency=high

  * Removed some debugging code.
  * joint->SetAngle() and joint->SetVelocity() are now used to control
    position-controlled joints and velocity-controlled joints that do not
    have PID gain values stored on the Parameter Server.
  * Position-controlled and velocity-controlled joints now use PID controllers
    instead of calling SetAngle() or SetVelocity(). readSim() now longer calls
    angles::shortest_angular_distance() when a joint is prismatic.
    PLUGINLIB_EXPORT_CLASS is now used to register the plugin.
  * gazebo_ros_control now depends on control_toolbox.
  * Added support for the position hardware interface. Completed support for the
    velocity hardware interface.
  * Removed the "support more hardware interfaces" line.
  * Contributors: Jim Rothrock

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Mar 2014 23:00:00 -0000

ros-kinetic-gazebo-ros-control (2.3.4-0xenial) xenial; urgency=high

  * rerelease because sdformat became libsdformat, but we also based change on 2.3.4 in hydro-devel.
  * Merge pull request #144 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/144> from meyerj/fix-125
    Fixed #125 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/125>: ``gazebo_ros_control``: controlPeriod greater than the simulation period causes unexpected results
  * Merge pull request #134 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/134> from meyerj/gazebo-ros-control-use-model-nh
    ``gazebo_ros_control``: Use the model NodeHandle to get the ``robot_description`` parameter
  * ``gazebo_ros_control``: added GazeboRosControlPlugin::Reset() method that resets the timestamps on world reset
  * ``gazebo_ros_control``: call writeSim() for each Gazebo world update independent of the control period
  * ``gazebo_ros_pkgs``: use GetMaxStepSize() for the Gazebo simulation period
  * ``gazebo_ros_control``: use the model NodeHandle to get the ``robot_description`` parameter
  * Add missing ``run_depend`` to urdf in ``gazebo_ros_control``
  * Remove dependency to meta-package ``ros_controllers``

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Nov 2013 23:00:00 -0000

ros-kinetic-gazebo-ros-control (2.3.3-0xenial) xenial; urgency=high

  * Eliminated a joint_name variable and replaced it with joint_names_[j].
    Modified some lines so that they fit in 100 columns. These changes were made
    in order to be consistent with the rest of the file.
  * Merge remote-tracking branch 'upstream/hydro-devel' into hydro-devel
  * joint_limits_interface is now used to enforce limits on effort-controlled
    joints.
  * Added "joint_limits_interface" and "urdf" to the component list.
  * Additional parameters are passed to robot_hw_sim->initSim(). These parameters
    are used by the joint limits interface.
  * Added "joint_limits_interface" and "urdf" to the build dependency list.
  * Added the robot_namespace and urdf_model parameters to initSim().
  * Added the urdf_string parameter to parseTransmissionsFromURDF().

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 Oct 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.3.2-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 18 Sep 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.3.1-0xenial) xenial; urgency=high

  * Cleaned up template, fixes for header files
  * Renamed plugin to match file name, tweaked CMakeLists
  * Created a header file for the ros_control gazebo plugin

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 26 Aug 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.3.0-0xenial) xenial; urgency=high

  * Renamed ros_control_plugin, updated documentation

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 Aug 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.2.1-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 28 Jul 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.2.0-0xenial) xenial; urgency=high

  * Standardized the way ROS nodes are initialized in gazebo plugins
  * Remove find_package(SDF) from CMakeLists.txt
    It is sufficient to find gazebo, which will export the information
    about the SDFormat package.
  * Merge branch 'hydro-devel' into tranmission_parsing
  * Doc and debug update
  * Merged hydro-devel
  * Hid debug info
  * Merged from Hydro-devel
  * Merge branch 'hydro-devel' into tranmission_parsing
  * Moved trasmission parsing to ros_control

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 28 Jul 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.1.5-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 17 Jul 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.1.4-0xenial) xenial; urgency=high

  * Fixed for Jenkins broken dependency on SDF in ros_control

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 13 Jul 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.1.3-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 12 Jul 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.1.2-0xenial) xenial; urgency=high

  * Cleaned up CMakeLists.txt for all gazebo_ros_pkgs
  * 2.1.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 11 Jul 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.1.1-0xenial) xenial; urgency=high

  * Fixed errors and deprecation warnings from Gazebo 1.9 and the sdformat split
  * making RobotHWSim::initSim pure virtual
  * Cleaning up code
  * Adding install targets

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 10 Jul 2013 17:11:00 -0000

ros-kinetic-gazebo-ros-control (2.1.0-0xenial) xenial; urgency=high

  * Made version match the rest of gazebo_ros_pkgs per bloom
  * Added dependency on ros_controllers
  * Clarifying language in readme
  * Made default period Gazebo's period
  * Made control period optional
  * Tweaked README
  * Added support for reading <tranmission> tags and other cleaning up
  * Renamed RobotSim to RobotHWSim
  * Renaming all gazebo_ros_control stuff to be in the same package
  * Refactoring gazebo_ros_control packages into a single package, removing exampls (they will go elsewhere)
  * updating readme for gazebo_ros_control
  * Merging in gazebo_ros_control
  * making gazebo_ros_control a metapackage
  * Moving readme
  * Merging readmes
  * eating this
  * Merging gazebo_ros_control and ros_control_gazebo

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 26 Jun 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.0.2-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 19 Jun 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.0.1-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Jun 2013 22:00:00 -0000

ros-kinetic-gazebo-ros-control (2.0.0-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 17 Jun 2013 22:00:00 -0000


